%define anolis_release 29
Name:           perl-Authen-SASL
Version:        2.16
Release:        %{anolis_release}%{?dist}
Summary:        SASL Authentication framework for Perl
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Authen-SASL
Source0:        https://cpan.metacpan.org/authors/id/G/GB/GBARR/Authen-SASL-%{version}.tar.gz
# Update the function WRITE to properly handle string which is shorter than
# provided length
Patch0:         Authen-SASL-RT85294-Fix-WRITE.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::Makefile)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(bytes)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Digest::HMAC_MD5)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(GSSAPI)
BuildRequires:  perl(Tie::Handle)
BuildRequires:  perl(vars)
# Tests
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Test::More)
Requires:       perl(Tie::Handle)

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all
protocols should be able to share.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Authen-SASL-%{version}

# Remove bundled libraries
rm -r inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST

# Fix permissions
chmod -c a-x example_pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%doc api.txt example_pl
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Fri Feb 3 2023 Funda Wang <fundawang@yeah.net> - 2.16-29
- Import package for anolis 23
